#### Description:

This macro invokes a function which returns an integer representing the version of the AST library being used. The library version is formatted as a string such as `"` 2.0-7`"` which contains integers representing the `"` major version`"` (2), the `"` minor version`"` (0) and the `"` release`"` (7). The integer returned by this function combines all three integers together into a single integer using the expresion:

(major version)∗1E6 + (minor version)∗1E3 + (release)

#### Synopsis

int astVersion

#### Applicability

##### Object

This macro applies to all Objects.

#### Returned Value

##### astVersion

The major version, minor version and release numbers for the AST library, encoded as a single integer.
Copyright (C) 2021 East Asian Observatory